Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 22 Apr 2021 04:18:16 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi, I would like to check because I have an order that has been confirmed with an order number of #9653254811 and I would like to edit my address, I did a mistake on the address, we are not in Al Falah Area, we are actually in Abu Dhabi Al Najda St, please advise on how to change it. Thank you! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2431719